Summary: simple python bootloader config lib
Name: booty
Version: 0.31.2
Release: 1.1AX
License: LGPL
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}.xfs.patch
Patch1: booty-0.31.2.changeforia64.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: rhpl

%description
Small python library for use with bootloader configuration by anaconda
and up2date.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/lib/booty


%changelog
* Wed Jul 26 2006 Shu Li <shuli@redflag-linux> 0.31.2-1.1AX
- change redhat to asianux for IA64

* Mon May  1 2006 Peter Jones <pjones@redhat.com> 0.31.2-1
- Add "console=tty0" for serial console command line (#146487).

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 
- modernize label for other OS (#71565)

* Fri Aug 15 2003 Jeremy Katz <katzj@redhat.com> 0.31.1-1
- preserve video= (#102370)

* Fri Aug  1 2003 Jeremy Katz <katzj@redhat.com> 0.31-1
- write out noauto in chandev.conf if we have chandev args (#101381)

* Fri Jul 25 2003 Jeremy Katz <katzj@redhat.com> 
- only include message= or splashimage if the file exists (#99301)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 
- support yaboot passwords (#100618)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 0.30-1
- pass through acpi= boot arguments

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.2-1
- read product name from /tmp/product/.buildstamp if it exists

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.1-1
- yaboot: really fix kernel/initrd path

* Wed Jul  9 2003 Jeremy Katz <katzj@redhat.com> 0.29-1
- yaboot: quotes around append
- yaboot: nonvram for pSeries
- yaboot: fix partition=
- yaboot: fix kernel path

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 0.28.1-1
- fix a typo (#98691)

* Thu Jul  3 2003 Jeremy Katz <katzj@redhat.com> 0.28-1
- write our own yaboot.conf to work better with lvm/raid (#98308)
- ensure the iSeries cmdline gets blanked

* Fri Jun 20 2003 Jeremy Katz <katzj@redhat.com> 0.27-1
- handle /boot as a separate partition on pSeries nicely
- setup /etc/elilo.conf symlink on ia64

* Wed Jun 18 2003 Jeremy Katz <katzj@redhat.com> 0.26.1-1
- remove efi boot entries based on product name, not just hardcoding 
  Red Hat Linux (#97653)

* Sun Jun  1 2003 Jeremy Katz <katzj@redhat.com> 0.26-1
- write kernel to side B on iSeries as well (#91038)

* Mon May 12 2003 Jeremy Katz <katzj@redhat.com> 0.25.9-1
- if there's not an old default on lilo upgrade, we don't need to 
  delete it (#88582)

* Fri May  2 2003 Jeremy Katz <katzj@redhat.com> 0.25.8-1
- really get the PReP partition writing right for iSeries

* Thu May  1 2003 Jeremy Katz <katzj@redhat.com> 0.25.7-1
- use root=LABEL= on s/390

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.6-1
- iSeries tweak to get the kernel written to the PReP partition

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.5-1
- yabootconfig moved to /sbin

* Tue Apr 29 2003 Jeremy Katz <katzj@redhat.com> 0.25.4-1
- tweaks to handle chandev now that it's in /tmp/install.cfg and not from 
  the env var

* Thu Apr 24 2003 Jeremy Katz <katzj@redhat.com> 0.25.3-1
- use Arjan's suggestion of vmlinitrd for iseries kernel + initrd

* Wed Apr 23 2003 Jeremy Katz <katzj@redhat.com> 0.25.2-1
- pseries tweaks

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 0.25.1-1
- fix silly typos

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.25-1
- iSeries support

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 0.24.1-1
- make target global for zipl.conf

* Thu Mar 20 2003 Jeremy Katz <katzj@redhat.com> 0.24-1
- merge newer yaboot changes from Dan Burcaw

* Fri Mar 14 2003 Jeremy Katz <katzj@redhat.com> 0.23-1
- read product name information dynamically (using /etc/redhat-release and
  anaconda's /.buildstamp)

* Wed Mar 12 2003 Jeremy Katz <katzj@redhat.com> 0.22.1-1
- fix tyop

* Tue Mar  4 2003 Jeremy Katz <katzj@redhat.com> 0.22-1
- support for yaboot from Dan Burcaw <dburcaw@terrasoftsolutions.com>

* Mon Feb 24 2003 Karsten Hopp <karsten@redhat.de> 0.21-1
- s390 changes: zipl doesn't like lables, use devicename
-               don't write root= twice

* Wed Feb 19 2003 Karsten Hopp <karsten@redhat.de> 0.20-1
- s390 changes: write correct zipl.conf when bl.args is not set

* Wed Feb  5 2003 Jeremy Katz <katzj@redhat.com> 0.19-1
- make sure our lilo default is sane (#79594)

* Wed Jan 22 2003 Jeremy Katz <katzj@redhat.com> 0.18-1
- fix line for anaconda-ks.cfg when bootloader installed on partition

* Thu Jan 09 2003 Karsten Hopp <karsten@redhat.de> 0.17-1
- minor fixes for S390

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com>
- fix for #78380 - parted has fat16 and fat32 types now

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com>
- read some kernel arguments when setting up default kernel args (#69904)
- pychecker fixups

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com>
- some x86_64 support

* Tue Sep 10 2002 Jeremy Katz <katzj@redhat.com>
- merge ia64 changes
- add alpha support based on 7.2 alpha code

* Wed Aug 14 2002 Jeremy Katz <katzj@redhat.com>
- fix lilo entry removal

* Fri Aug  2 2002 Jeremy Katz <katzj@redhat.com>
- include bootloader location in kickstart line

* Thu Aug  1 2002 Jeremy Katz <katzj@redhat.com>
- make sure old entries get removed from lilo.conf on upgrade

* Wed Jul 17 2002 Jeremy Katz <katzj@redhat.com>
- set up serial consoles properly during install

* Thu Jul 11 2002 Jeremy Katz <katzj@redhat.com>
- count first ntfs found as alternative os as its just as likely

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com>
- write out root=LABEL= if using an initrd and rootfs has a label

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com>
- grubby can do stuff with lilo.conf now, so we don't have to worry
  about updating lilo.conf in the upgrade only mode

* Thu Jun 20 2002 Jeremy Katz <katzj@redhat.com>
- add lilo password support

* Mon Jun 10 2002 Jeremy Katz <katzj@redhat.com>
- fix some missing iutil->butil bits

* Fri May 31 2002 Jeremy Katz <katzj@redhat.com>
- minor fixes

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- require rhpl

* Mon Jan 21 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.
